{% if false %}<!--suppress HtmlFormInputWithoutLabel -->{% endif %}
<!DOCTYPE html>
<html lang="fr-FR">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Page de connexion{% endblock %}</title>
    <link href="/favicon.ico?1669387866" type="image/x-icon" rel="icon"/><link href="{{ asset('build/images/re-favicon.ico') }}" type="image/x-icon" rel="shortcut icon"/>
    {% block stylesheets %}
        {{ encore_entry_link_tags('app') }}
    {% endblock %}

    {% block javascripts %}
        {{ encore_entry_script_tags('app') }}
    {% endblock %}
</head>
<body>

<div id="loading-screen" class="loaded">
    <noscript>Cette application nécéssite l'utilisation de javascript</noscript>
</div>

<section id="login-section">
    <div id="login-main">
        {% if tenant_configuration is defined and tenant_configuration is not empty and tenant_configuration.logoLogin %}
        <div id="login-side" class="enabled d-none d-md-block" style="background-color: {{ tenant_configuration.logoLoginBgColor }};">
            <div class="login-logo">
                <div>
                    <img src="{{ url('public_tenant_logo_login', {
                        tenant_url: tenant_configuration.tenant.baseurl,
                        filename: tenant_configuration.logoLogin.name,
                        id: tenant_configuration.logoLogin.id
                    }) }}" alt="logo">
                    <div class="sub-txt" style="{{ tenant_configuration.logoLoginTextStyle }}"><span>{{ tenant_configuration.logoLoginText }}</span></div>
                </div>
            </div>
        </div>
        {% else %}
            <div id="login-side"
                 class="enabled d-none d-md-block"
                 style="background-color: {{ publicLoginBackgroundColor }};"
            >
                <div class="login-logo">
                    <div>
                    {% if publicLoginLogo starts with 'https://' %}
                        <img src="{{ publicLoginLogo }}" alt="logo">
                    {% else %}
                        <img src="{{ asset(publicLoginLogo) }}" alt="logo">
                    {% endif %}
                        <div class="sub-txt" style="{{ publicLoginTextStyle }}"><span>{{ publicLoginText }}</span></div>
                    </div>
                </div>
            </div>
        {% endif %}
        <div id="login-form-side">
            <div id="login-form-side-content">
                <div id="login-soft-logo">
                    <img alt="Image du Libriciel" id="login-refae-logo" src="{{ asset('build/images/re.svg') }}">
                </div>
                <section>
                    {% for message in app.flashes('success') %}
                        <div class="alert alert-success">
                            {{ message }}
                        </div>
                    {% endfor %}
                    {% for message in app.flashes('warning') %}
                        <div class="alert alert-warning">
                            {{ message }}
                        </div>
                    {% endfor %}
                    {% for message in app.flashes('info') %}
                        <div class="alert alert-info">
                            {{ message }}
                        </div>
                    {% endfor %}
                    {% for message in app.flashes('danger') %}
                        <div class="alert alert-danger">
                            {{ message }}
                        </div>
                    {% endfor %}
                    {% block form %}
                    <h1 id="login-page-title">Bienvenue ! Veuillez entrer le mot de passe associé à l'identifiant : {{ username }}</h1>

                    {{ form_start(form, {'attr': {'id': 'login-form'}}) }}

                    <div class="login-input-row">
                        {{ form_label(form.password) }}
                        <div class="form-group input-group-front-icon">
                            <span><i class="fa fa-user"></i></span>
                            <input class="form-control ng-untouched ng-dirty ng-valid" required="" name="{{ field_name(form.password) }}" id="{{ form.password.vars.id }}" type="password">
                        </div>
                    </div>

                    <div class="float-right">
                        <button class="btn btn-primary" type="submit">
                            <i class="fa fa-sign-in fa-sign-in-alt fa-fw"></i>
                            Se connecter
                        </button>
                    </div>
                    {{ form_end(form) }}
                    {% endblock %}
                </section>
            </div>
        </div>
    </div>
</section>

<!-- Footer Libriciel SCOP -->
<div class="ls-login-footer ls-footer-fixed-bottom">
    <footer id="login-footer">
        <div class="ls-footer-item ls-xs-hide">
        </div>

        <div class="ls-footer-item ls-auto-size">
            <span>version: 2.0.0 © </span>
            <span class="ls-xs-hide"> Libriciel SCOP 2018-{{ date()|date('Y') }} </span>
        </div>

        <div class="ls-footer-item">
        </div>
    </footer>
</div>

{% block bottomScript %}
<script>
    document.getElementById('loading-screen').className = 'loaded';
    document.getElementById("{{ form.password.vars.id }}").focus();
</script>
{% endblock %}

</body>
</html>
